package com.swago.baseswago.model.live.gift;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * @date 2021/12/12 17:31
 * description:
 */
public class GiftModel implements Parcelable {

    /**
     * id : string
     * gift_name : Unknown Type: float
     * gift_coins : Unknown Type: float
     * gift_icon_url : string
     * gift_svg_url : string
     */

    private String id;
    private String gift_name;
    private String gift_coins;
    private String gift_icon_url;
    private String gift_svg_url;
    private boolean isSelected;

    protected GiftModel(Parcel in) {
        id = in.readString();
        gift_name = in.readString();
        gift_coins = in.readString();
        gift_icon_url = in.readString();
        gift_svg_url = in.readString();
    }

    public static final Creator<GiftModel> CREATOR = new Creator<GiftModel>() {
        @Override
        public GiftModel createFromParcel(Parcel in) {
            return new GiftModel(in);
        }

        @Override
        public GiftModel[] newArray(int size) {
            return new GiftModel[size];
        }
    };

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGift_name() {
        return gift_name;
    }

    public void setGift_name(String gift_name) {
        this.gift_name = gift_name;
    }

    public String getGift_coins() {
        return gift_coins;
    }

    public void setGift_coins(String gift_coins) {
        this.gift_coins = gift_coins;
    }

    public String getGift_icon_url() {
        return gift_icon_url;
    }

    public void setGift_icon_url(String gift_icon_url) {
        this.gift_icon_url = gift_icon_url;
    }

    public String getGift_svg_url() {
        return gift_svg_url;
    }

    public void setGift_svg_url(String gift_svg_url) {
        this.gift_svg_url = gift_svg_url;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(boolean selected) {
        isSelected = selected;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(gift_name);
        dest.writeString(gift_coins);
        dest.writeString(gift_icon_url);
        dest.writeString(gift_svg_url);
    }
}
